/*
 * Licensed Materials - Property of IBM
 * IBM Sterling Business Center
 * (C) Copyright IBM Corp. 2009, 2013 All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

Ext.override(sc.plat.ui.Screen, {
	 "b_couponSaveMsg": "The coupon is saved successfully.",
    "b_pricingruleSaveMsg":"The pricing rule is saved successfully.",
    "b_ChooseOneItemAtleast": "At least one item should be included.",
    "b_OrderTotalRepeating":"Order totals cannot be same.",
    "b_QuantityRepeating":"Quantities cannot be same."
});

/*
 * Bundle entries for saved searches
 */
Ext.override(sc.plat.ui.Screen, {
	"b_StorefrontAlreadyAssigned":"One or more of the selected storefronts have already been assigned.",
	"b_modifySuccess": "Update successful",
	"b_NoResultMessage": "No results found.",
	"b_AtleastOneParameterRequired":"At least one customer attribute is required.",
	"b_couponExists":"Either Coupon, Pricing Rule or Manual Pricing Rule already exists in the database with this Coupon ID.",
	"b_pricingruleExists":"Either Pricing Rule, Coupon or Manual Pricing Rule already exists in the database with this Pricing Rule ID.",
	"b_manualPricingruleExists":"Either Manual Pricing Rule, Pricing Rule or Coupon already exists in the database with this Manual Pricing Rule ID.",
	"b_approvalRuleExists":"Approval Rule already exists in the database with this Approval Rule ID.",
	"b_groupConsecutiveSelections":"Select consecutive conditions for grouping.",
	"b_createAtleastOneCondition":"At least one condition is required.",
	"b_groupCondionsSameOperator":"The operator between the grouped conditions should be same.",
	"b_removeErrorsOnCondition":"Remove errors on the condition.",
	"b_removeErrorsOnEditableCondition":"Complete or remove the editable condition to perform this action.",
	"b_confirmDeleteAssignments": "Are you sure you want to remove the selected assignments?",
	"b_AnyCurrencyWarning":"The absolute adjustments are available only if currency selected is a fixed currency.",
	"b_CouponActivate":"The Coupon was activated successfully.",
	"b_DeletionnSuccessful":"Deletion was triggered successfully.",
	"b_CouponDeactivate":"The Coupon was deactivated successfully.",
	"b_PRActivate":"The Pricing Rule was activated successfully.",
	"b_GPRActivate":"The Pricing Rule was activated successfully.Any unsaved changes still needs to be saved",
	"b_MPRActivate":"The Manual Pricing Rule was activated successfully.",
	"b_PRDeactivate":"The Pricing Rule was deactivated successfully.",
	"b_GPRDeactivate":"The Pricing Rule was deactivated successfully.Any unsaved changes still needs to be saved",
	"b_ApprovalActivate":"The Approval Rule was activated successfully.",
	"b_ApprovalDeActivate":"The Approval Rule was deactivated successfully.",
	"b_MPRDeactivate":"The Manual Pricing Rule was deactivated successfully.",
	"b_MaxOrDefaultAdjustmentRequired":"Either maximum or default value of adjustment is required.",
	"b_MaxLessThanDefault":"Maximum value of adjustment cannot be less than default value.",
	"b_showitemsnotinpricelist":"Items already in this price list are not displayed in the search results.",
	"b_successMsgForDelete": " The selected lines were deleted successfully.",
	"b_NoPermissionToView":" You do not have permissions for these tasks.",
	"b_addCategorySuccess" : "Category added successfully.",
	"bModifyCategorySuccess" : "Category modified successfully.",
	"b_ServiceType_mandatory" : "Service Type",
	"b_IncorrectStatusMessage":"Service cannot be deleted in published status",
    "b_MandatoryActivityCode":"Activity",
    "b_successRemoveServiceAssoc":"Remove successful",
    "b_optionExists":"Option(s) already associated to the service",
     "b_uomExists":"Alternate UOM already associated to the item",
     "b_serviceExists":"Service already associated to the item",
	 "b_itemAssocExists":"Item already associated to the service",
     "b_activityExists":"Activity already associated to the service",
     "b_NodeAlreadyAdded": "Node specific details already associated to the item",
     "b_UnsavedInstructionsMessage": "There are unsaved changes for the current instruction type. Are you sure you want to continue without saving the changes?",
     "b_confirmDeleteClassificationValue":"Any child classification values will also be deleted. Are you sure you want to delete?"
});
Ext.override(sc.plat.ui.Screen, {
	"b_Error" : "Error",
	"b_NoAccessToItemForOrg": "Current organization do not have access to the selected item",
	"b_NoAccessToServiceForOrg": "Current organization do not have access to the selected service",
    "b_NoAccessToServiceOptionForOrg": "Current organization do not have access to the selected service option",
	"b_NoAccessToCouponForOrg": "Current organization do not have access to the selected coupon",
	"b_NoAccessToPriceRuleForOrg": "Current organization do not have access to the selected price rule",
	"b_NoAccessToManualPriceRuleForOrg": "Current organization do not have access to the selected manual price rule",
	"b_NoAccessToApprovalRuleForOrg": "Current organization do not have access to the selected approval rule",
    "b_NoAccessToApprovalPlanForOrg": "Current organization do not have access to the selected approval plan",
	"b_NoAccessToPriceListForOrg": "Current organization do not have access to the selected price list",
	"b_NoAccessToCustomer": "Current organization do not have access to the selected customer",
	"b_NoAccessToQuoteEvent": "Current organization do not have access to the selected quote event"

});

Ext.override(sc.plat.ui.Screen, {
	b_itemalreadyexists : "This item is already associated.",
	b_categoryalreadyexists : "This category is already associated.",
	b_servicealreadyexists : "This service is already associated.",
	b_attributevaluerequired : "Attribute Value",
	"b_ClassificationDeleteWarning" : "Delete classification value(s) that belong to this classification before deleting it.",
	b_classificationvalueid_required : "Classification value ID",
	b_attributename_required : "Associated Item Field",
	b_ChooseDifferentClassification : "The classification to move to is same as existing classification. Choose a different classification.",
	b_Attribute_Already_exists:"This attribute is already associated to the classification.",
	"b_SequenceNumberShouldBeUnique":"Sequence number should be unique.",
	b_AtLeastOneItemMustBeSpecified:"At least one item must be specified.",
    "b_AtLeastOneItemMustBeSpecifiedGrid":"At least one item must be specified in the item list grid",
	"b_variation_itemalreadyexists" : "Item(s) already associated.",
	b_ItemIDIsInvalid : "Invalid Item ID.",
	b_invalidItem : "Invalid Item"
});

Ext.override(sc.plat.ui.Screen, {
	"b_CatalogDeleteWarning" : "Delete category(ies) that belong to this category domain before deleting it.",
	"b_categoryAddItemSuccess" : "Item(s) added successfully.",
	"b_categoryDeleteItemSuccess" : "Item(s) removed successfully.",
	"b_categoryMoveItemSuccess" : "One or more items were moved successfully",
	"b_pricelistActivated":"The Price List was activated successfully",
	"b_pricelistDeActivated":"The Price List was deactivated successfully",
	"b_noCoupon": "There are no coupons available",
	"b_categoryAddAttributeSuccess" : "Attribute(s) added successfully.",
	"b_categoryDeleteAttributeSuccess" : "Attribute(s) removed successfully.",
	"b_DefaultIsMandatoryWhenAttributeIsMandatory":"If the attribute is mandatory, then a default value must be specified.",
    "b_MultipleDefaultValuesAreNotAllowed":"Multiple default values are not allowed for this attribute.",
    "b_onlyNumberValuesAreAllowed":"Only number values are allowed for this field.",
    "b_ComputedAttrIDFormatError":"The Attribute ID must have the following format: 'Price_' followed by the currency.",
    "b_NotComputedAttrIDFormatError":"The attribute id cannot start with 'Price_' unless it is a computed attribute.",
    "b_AttributeCannotDeriveFromItself":"Attributes cannot be derived from themselves."
});
Ext.override(sc.plat.ui.Screen, {
	"b_MovingAwayMsg" : "Any unsaved data will be lost.",
	"b_MovingAwayQuestion" : " Do you want to continue?",
	"b_tagAttributesMissing":"If the item is always tag controlled, at least one tag attribute or tag identifier should be assigned",
	"b_NoRecordsToDisplay":"No records to display",
	//In the following entry, "Visual Modeler" is the name of an application and should not be translated. The other words can be translated
	"b_NoVisualModeler":"Visual Modeler is not configured",
	//In the following entry, "Sterling Web" is the name of an application and should not be translated. The other words can be translated
	"b_Webchannel_NotConfigured":"Sterling Web is not configured",
	"b_ConfigModelWarning":"Previously configured data might be lost. Do you want to change the configuration model?",
	"b_PreconfigError":"A Pre-Configured item needs to be configured.",
	"b_CustomerMoreRecordsMsg":"The search fetched too many records, refine your search criteria.",
	"b_YSC85_0002":"An attribute could not be saved because it has already been assigned at a child category.",
	"b_PricingRuleActiveNoCustomer":"This pricing rule is not assigned to any customer.",
	"b_ManualPRuleActiveNoCustomer":"This manual pricing rule is not assigned to any customer.",
	"b_CouponActiveNoCustomer":"This coupon is not assigned to any customer.",
	"b_PricelistActiveNoCustomer":"This price list is not assigned to any customer.",
	"b_MustSaveToContinueTitle":"Must Save To Continue",
	"b_MustSaveToContinueMessage":"There are unsaved changes. Changes must be saved before this action can be performed.",
	"b_NoOnlineHelpConfigured":"Context-Sensitive Help is not configured",
	"b_NoRelatedTasks":"No related tasks.",
	"b_ChangeActiveRequest":"Change Active Request",
	"b_ChangeActiveRequestMessage":"There is an active change request in progress. Continue switching active change requests?",
	"b_ChangeRequestActivatedMessage":"Change Request was opened successfully.",
	"b_ChangeRequestStartedMessage":"Change Request was started successfully.",
	"b_ChangeRequestSavedMessage":"Change Request was saved successfully.",
	"b_ChangeRequestStoppedMessage":"Change Request was stopped successfully.",
	"b_ChangeRequestCompletedMessage":"Change Request completed successfully.",
	"b_ChangeRequestReopenedMessage":"Change Request was re-opened successfully.",
	"b_ChangeProjectActivatedMessage":"Change Project was opened successfully.",
	"b_ChangeProjectApprovedMessage":"Change Project was approved successfully.",
	"b_ChangeProjectRejectedMessage":"Change Project was rejected successfully.",
	"b_ChangeProjectSavedMessage":"Change Project was saved successfully.",
	"b_OrgSwitchDisabledActiveRequest":"Organization switching is disabled because there is an active change request in progress.",
	"b_NoBusinessIntelligence":"Business Intelligence is not configured"
});
Ext.override(sc.plat.ui.Screen, {
    "b_noCapacityavailableforweek" : "Selected week does not have any defined capacity.",
    "b_ValidationRuleActivated":"The Validation Rule was activated successfully",
	"b_ValidationRuleDeActivated":"The Validation Rule was deactivated successfully",
	"b_OverrideRuleActivated" :"The Override Rule was activated successfully",
	"b_OverrideRuleDeActivated" :"The Override Rule was deactivated successfully"
});
