/*
 * Licensed Materials - Property of IBM
 * IBM Sterling Business Center
 * (C) Copyright IBM Corp. 2010, 2013 All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
 
/*
 * Entries for BaseConfigTaskList names and descriptions
 */
Ext.override(sc.plat.ui.Screen, {
		"b_SBCCustomization_Desc": "Customize various aspects of the application.",
		"b_SBCCustomization_Name": "Customizations",
		"b_SBCDBExtensions_Desc": "Specify extensions on commonly used entities in the database.",
		"b_SBCDBExtensions_Name": "Object Extensibility",
		"b_SBCPrintExtensibility_Desc" : "Manage Quote Print Proposal templates and Style Sheets.",
		"b_SBCPrintExtensibility_Name" : "Manage Proposal Templates",
		"b_SBCSystem_Desc" : "Complete the application  related configurations.",
		"b_SBCSystem_Name" : "Configurations"	,
		"b_SBCMasterUpload_Desc" : "Upload item, customer, and price list details.",
		"b_SBCMasterUpload_Name" : "Master Data Upload",
		"b_SBCODOpportunity_Desc" : "Manage opportunity-related Configurations.",
		"b_SBCODOpportunity_Name" : "Opportunity",
		"b_SBCODConfigLeadOrigin_Desc" : "Create, modify, and delete a lead origin for an opportunity.",
		"b_SBCODConfigLeadOrigin_Name" : "Manage Opportunity Lead Origin",
		"b_SBCODConfigLOS_Desc":"Create, modify, and delete a level of service for a quote.",
		"b_SBCODConfigLOS_Name":"Manage Level Of Service",
		"b_SBCODConfigNotesReason_Desc" : "Create, modify, and delete a notes reason for an opportunity.",
		"b_SBCODConfigNotesReason_Name" : "Manage Opportunity Notes Reason",
		"b_SBCODConfigLostReason_Desc" : "Create, modify, and delete a lost reason for an opportunity.",
		"b_SBCODConfigLostReason_Name" : "Manage Opportunity Lost Reason",
		"b_SBCODQuotes_Desc" : "Manage quote-related configurations, and quote events.",
		"b_SBCODQuotes_Name" : "Quote",
		"b_SBCODConfigQNotesReason_Desc" : "Create, modify, and delete a notes reason for a quote.",
		"b_SBCODConfigQNotesReason_Name" : "Manage Quote Notes Reason",
		"b_SBCODConfigQModReason_Desc" : "Create, modify, and delete a modification reason for a quote.",
		"b_SBCODConfigQModReason_Name" : "Manage Quote Modification Reason",
		"b_SBCODConfigQAbandReason_Desc" : "Create, modify, and delete an abandonment reason for a quote.",
		"b_SBCODConfigQAbandReason_Name" : "Manage Quote Abandonment Reason",
		"b_SBCODConfigApproViolation_Name" : "Manage Quote Approval Rule Violation Reason",
		"b_SBCODConfigApproViolation_Desc" : "Create, modify, and delete a violation reason for a quote.",
		"b_SBCODCreateQEvent_Desc" : "Define types of action that must be performed when a quote event is raised.",
		"b_SBCCustomerDefs_Desc":"Manage Customer definitions",
		"b_SBCCustomerDefs_Name":"Customer Definitions",
		"b_SBCContactType_Desc":"Add, Remove or Change Customer Contact Types",
		"b_SBCContactType_Name":"Customer Contact Type",
		"b_SBCCustClass_Desc":"Add, Remove or Change Customer Classifications",
		"b_SBCCustClass_Name":"Customer Classifications",
		"b_SBCCustLevel_Desc":"Add, Remove or Change Customer Levels",
		"b_SBCCustLevel_Name":"Customer Levels",
		"b_SBCRelationType_Desc":"Add, Remove or Change Customer Relationship Types",
		"b_SBCRelationType_Name":"Customer Relationship Types",
		"b_SBCCustVertical_Desc":"Add, Remove or Change Customer Verticals",
		"b_SBCCustVertical_Name":"Customer Verticals",
		"b_SBCODPayments_Desc" : "Manage payment-related configurations.",
		"b_SBCODPayments_Name" : "Payments",
		"b_SBCODManagePaymentTypes_Desc" : "Create, modify, and delete a payment type.",
		"b_SBCODManagePaymentTypes_Name" : "Manage Payment Types",
		"b_SBCODManagePaymentCardTypes_Desc" : "Create, modify, and delete a payment card type.",
		"b_SBCODManagePaymentCardTypes_Name" : "Manage Payment Card Types",
		"b_SBCODManagePaymentRules_Desc" : "Create, modify, and delete a payment rule.",
		"b_SBCODManagePaymentRules_Name" : "Manage Payment Rules",
        "b_SBCManagerOverride":"Manage domain related configurations.",
        "b_SBCManagerOverride_Name":"Domain Administration",
		"b_SBCManageDomain":"Enable domains like Order,Pricing,Returns,Payment for validation based on document types.",
		"b_SBCManageDomain_Name":"Manage Domains",
		"b_SBCManageValidation":"Set up validation or override criteria for various business scenarios",
		"b_ManageValidation_Name":"Validation and Override Rules",
		"b_MOOrderValidation":"Set up criteria for various order related scenarios",
		"b_MOOrder_Name":"Order",
		"b_MOPricingValidation":"Set up criteria for various pricing related scenarios",
		"b_MOPricing_Name":"Pricing",
        "b_MOPaymentCapValidation":"Set up criteria for various payment capture related scenarios",
		"b_MOPaymentCap_Name":"Payment Capture",
        "b_MOPaymentProValidation":"Set up criteria for various payment processing related scenarios",
		"b_MOPaymentPro_Name":"Payment Processing",
		"b_SBCODFinancialRules_Name":"Financial Rules",
		"b_SBCODFinancialRules_Desc":"Manage financial rules for quotes",
		"b_SBCOrderEntryTasks_Name":"Order",
		"b_SBCOrderEntryTasks_Desc":"Manage order-related configurations.",
		"b_SBCSOFinancialRules_Name":"Financial Rules",
		"b_SBCSOFinancialRules_Desc":"Manage financial rules for sales orders",
		"b_SBCReturnOrderTasks_Name":"Return Order",
		"b_SBCReturnOrderTasks_Desc":"Manage return order-related configurations.",
		"b_SBCROFinancialRules_Name":"Financial Rules",
		"b_SBCROFinancialRules_Desc":"Manage financial rules for return orders",
		"b_SBCTransferOrderTasks_Name":"Transfer Order",
		"b_SBCTransferOrderTasks_Desc":"Manage transfer order-related configurations.",
		"b_SBCTOFinancialRules_Name":"Financial Rules",
		"b_SBCTOFinancialRules_Desc":"Manage financial rules for transfer orders",
		"b_SBCMasterOrderTasks_Name":"Master Order",
		"b_SBCMasterOrderTasks_Desc":"Manage master order-related configurations.",
		"b_SBCMOFinancialRules_Name":"Financial Rules",
		"b_SBCMOFinancialRules_Desc":"Manage financial rules for master orders.",
		"b_SBCPricingTask_Name":"Pricing",
		"b_SBCPricingTask_Desc":"Manage organization and enterprise related pricing set up",
		"b_SBCPrcgOrgRules_Desc":"Manage Pricing Organization Rules",
		"b_SBCPrcgOrgRules_Name":"Pricing Organization Rules",
		"b_SBCPrcgEntRules_Name":"Pricing Enterprise Rules",
		"b_SBCPrcgEntRules_Desc":"Manage Pricing Enterprise Rules",
		"b_SBCPrcgExclIdentifiers_Name":"Pricing Exclusivity Group",
		"b_SBCPrcgExclIdentifiers_Desc":"Manage Exclusivity Group for pricing rules or coupons",
        "b_SBCReturns_Name":"Return Policy",
	    "b_ReturnPolicies_Desc":"Set up return policies for various scenarios",
	    "b_RETURNSValidationList" : "Return Policy",
		"b_SBCConfApproViolation_Name" : "Manage Violation Message",
		"b_SBCConfApproViolation_Desc" : "Create, modify, and delete violation message for all document types."


});
